Skip to content
Sign upLog in
This post is read-only. Explore Repls and connect with other creators on Community.View Community
The info in this post might be out of date, check out our docs instead. View docs
1

Does repl.it support pytesseract???

TheLostProgramm
TheLostProgramm

I am trying to use pytesseract but I get this error:

Traceback (most recent call last): File "/opt/virtualenvs/python3/lib/python3.8/site-packages/pytesseract/pytesseract.py", line 255, in run_tesseract proc = subprocess.Popen(cmd_args, **subprocess_args()) File "/usr/lib/python3.8/subprocess.py", line 858, in __init__ self._execute_child(args, executable, preexec_fn, close_fds, File "/usr/lib/python3.8/subprocess.py", line 1706, in _execute_child raise child_exception_type(errno_num, err_msg, err_filename) FileNotFoundError: [Errno 2] No such file or directory: 'tesseract' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/opt/virtualenvs/python3/lib/python3.8/site-packages/discord/client.py", line 343, in _run_event await coro(*args, **kwargs) File "main.py", line 664, in on_message text = pytesseract.image_to_string(demo, lang="eng") File "/opt/virtualenvs/python3/lib/python3.8/site-packages/pytesseract/pytesseract.py", line 409, in image_to_string return { File "/opt/virtualenvs/python3/lib/python3.8/site-packages/pytesseract/pytesseract.py", line 412, in <lambda> Output.STRING: lambda: run_and_get_output(*args), File "/opt/virtualenvs/python3/lib/python3.8/site-packages/pytesseract/pytesseract.py", line 287, in run_and_get_output run_tesseract(**kwargs) File "/opt/virtualenvs/python3/lib/python3.8/site-packages/pytesseract/pytesseract.py", line 259, in run_tesseract raise TesseractNotFoundError() pytesseract.pytesseract.TesseractNotFoundError: tesseract is not installed or it's not in your PATH. See README file for more information.

Does anyone know how to fix this?

2 years ago
You are viewing a single comment. View All
1